package com.crm.manager.service;

import com.crm.rely.backend.core.dto.base.ResultWithPagerDto;
import com.crm.rely.backend.core.dto.user.google.UserGoogleEmailListDto;
import com.crm.rely.backend.core.entity.base.SingleLongEntity;
import com.crm.rely.backend.core.entity.user.google.UserGoogleEmailAddEntity;
import com.crm.rely.backend.core.entity.user.google.UserGoogleEmailDeleteEntitys;
import com.crm.rely.backend.core.entity.user.google.UserGoogleEmailSearchEntity;
import com.crm.rely.backend.core.entity.user.google.UserGoogleEmailUpdateEntity;
import com.crm.rely.backend.exception.ServiceException;

public interface UserGoogleEmailService {

    String add(UserGoogleEmailAddEntity entity) throws Exception;

    void delete(UserGoogleEmailDeleteEntitys entitys) throws Exception;

    void update(UserGoogleEmailUpdateEntity entity) throws Exception;

    void updateRemark(UserGoogleEmailUpdateEntity entity) throws Exception;

    ResultWithPagerDto<UserGoogleEmailListDto> searchPageList(UserGoogleEmailSearchEntity entity) throws Exception;

    UserGoogleEmailListDto searchSingle(SingleLongEntity entity) throws ServiceException;

    Integer refresh() throws Exception;


}
